Bug 1915617 - Bump bootimage for various fixes
Summary: Bump bootimage for various fixes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Benjamin Gilbert
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1756173 1865839 1892521 1899220 1900699 1902996 1907770 1909453 1909455 1915540 1916382 1916502
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 03:43 UTC by Benjamin Gilbert
Modified: 2021-02-24 15:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:52:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4540 0 None closed Bug 1915617: update boot images for various fixes 2021-02-12 12:56:44 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:52:45 UTC

Description Benjamin Gilbert 2021-01-13 03:43:59 UTC
The RHCOS 4.7 bootimage needs to be bumped to fix several BZs blocking this bug.

Comment 2 Benjamin Gilbert 2021-01-13 14:00:00 UTC
Setting blocker+ because of the total weight of the fixes.  There's a regression fix for AWS in secondary partitions (e.g. GovCloud) and UPI disconnected environments, regression fixes for cri-o and for ECKD DASD installs, and a boot disk RAID refactor which is required for compatibility with current and future releases of FCCT.

Comment 4 Michael Nguyen 2021-01-22 14:27:22 UTC
Verified on .  Boot image was bumped to rhcos-47-83-202101161239-0

$ oc -n openshift-machine-api get machinesets
NAME                                 DESIRED   CURRENT   READY   AVAILABLE   AGE
ci-ln-54y0bd2-f76d1-lffmr-worker-b   1         1         1       1           29m
ci-ln-54y0bd2-f76d1-lffmr-worker-c   1         1         1       1           29m
ci-ln-54y0bd2-f76d1-lffmr-worker-d   1         1         1       1           29m
$ oc -n openshift-machine-api get machinesets/ci-ln-54y0bd2-f76d1-lffmr-worker-b -o yaml
apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/memoryMb: "15360"
    machine.openshift.io/vCPU: "4"
  creationTimestamp: "2021-01-22T13:54:52Z"
  generation: 1
  labels:
    machine.openshift.io/cluster-api-cluster: ci-ln-54y0bd2-f76d1-lffmr
  managedFields:
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:machine.openshift.io/cluster-api-cluster: {}
      f:spec:
        .: {}
        f:replicas: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:machine.openshift.io/cluster-api-cluster: {}
            f:machine.openshift.io/cluster-api-machineset: {}
        f:template:
          .: {}
          f:metadata:
            .: {}
            f:labels:
              .: {}
              f:machine.openshift.io/cluster-api-cluster: {}
              f:machine.openshift.io/cluster-api-machine-role: {}
              f:machine.openshift.io/cluster-api-machine-type: {}
              f:machine.openshift.io/cluster-api-machineset: {}
          f:spec:
            .: {}
            f:metadata: {}
            f:providerSpec:
              .: {}
              f:value:
                .: {}
                f:apiVersion: {}
                f:canIPForward: {}
                f:credentialsSecret: {}
                f:deletionProtection: {}
                f:disks: {}
                f:kind: {}
                f:machineType: {}
                f:metadata: {}
                f:networkInterfaces: {}
                f:projectID: {}
                f:region: {}
                f:serviceAccounts: {}
                f:tags: {}
                f:userDataSecret: {}
                f:zone: {}
      f:status:
        .: {}
        f:fullyLabeledReplicas: {}
        f:observedGeneration: {}
        f:replicas: {}
    manager: cluster-bootstrap
    operation: Update
    time: "2021-01-22T13:54:52Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:machine.openshift.io/memoryMb: {}
          f:machine.openshift.io/vCPU: {}
    manager: machine-controller-manager
    operation: Update
    time: "2021-01-22T14:01:48Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:availableReplicas: {}
        f:fullyLabeledReplicas: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
        f:replicas: {}
    manager: machineset-controller
    operation: Update
    time: "2021-01-22T14:09:13Z"
  name: ci-ln-54y0bd2-f76d1-lffmr-worker-b
  namespace: openshift-machine-api
  resourceVersion: "20747"
  selfLink: /apis/machine.openshift.io/v1beta1/namespaces/openshift-machine-api/machinesets/ci-ln-54y0bd2-f76d1-lffmr-worker-b
  uid: c09ea791-4074-4a34-b42d-a3f83aa16fc2
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: ci-ln-54y0bd2-f76d1-lffmr
      machine.openshift.io/cluster-api-machineset: ci-ln-54y0bd2-f76d1-lffmr-worker-b
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: ci-ln-54y0bd2-f76d1-lffmr
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: ci-ln-54y0bd2-f76d1-lffmr-worker-b
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: gcpprovider.openshift.io/v1beta1
          canIPForward: false
          credentialsSecret:
            name: gcp-cloud-credentials
          deletionProtection: false
          disks:
          - autoDelete: true
            boot: true
            image: projects/rhcos-cloud/global/images/rhcos-47-83-202101161239-0-gcp-x86-64
            labels: null
            sizeGb: 128
            type: pd-ssd
          kind: GCPMachineProviderSpec
          machineType: n1-standard-4
          metadata:
            creationTimestamp: null
          networkInterfaces:
          - network: ci-ln-54y0bd2-f76d1-lffmr-network
            subnetwork: ci-ln-54y0bd2-f76d1-lffmr-worker-subnet
          projectID: openshift-gce-devel-ci
          region: us-east1
          serviceAccounts:
          - email: ci-ln-54y0bd2-f76d1-lffmr-w@openshift-gce-devel-ci.iam.gserviceaccount.com
            scopes:
            - https://www.googleapis.com/auth/cloud-platform
          tags:
          - ci-ln-54y0bd2-f76d1-lffmr-worker
          userDataSecret:
            name: worker-user-data
          zone: us-east1-b
status:
  availableReplicas: 1
  fullyLabeledReplicas: 1
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1

Comment 5 Michael Nguyen 2021-01-22 14:28:36 UTC
Verified on 4.7.0-0.nightly-2021-01-22-104107

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-01-22-104107   True        False         7m25s   Cluster version is 4.7.0-0.nightly-2021-01-22-104107

Comment 8 errata-xmlrpc 2021-02-24 15:52:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.